package com.zcloud.mapper.datasource.specheck;

import com.zcloud.entity.PageData;

import java.util.ArrayList;
import java.util.List;

public interface SpeBusHiddenMapper {
    void saveBatch(List<PageData> hiddenInfoList);

    ArrayList<PageData> getHiddenInfoByIds(List<PageData> hiddenInfoList);

    void state0T1or4(PageData pd);

    void addHidden(PageData pd);

    void removeChangeHidden(PageData data);

    void editHidden(PageData pd);

    void removeHidden(PageData pd);

    void addRecordIdByHiddenId(PageData data);

    ArrayList<PageData> getHiddenInfoByIdsCompensate(List<PageData> specheckRecordList);

    void changeHiddenCheckrecordId(PageData data);
}
